ESG
Entities

Entities ESG Events UNGC Statistics

Get·the·distribution·of·events·for·the·entity·by·UNGC·classification.

GET
https://api.textreveal.com/v3/entities/{entity_id}/esg/events/stats/ungc

Request

Parameters

  • entity_id*uuid

    Permanent ID of the entity

    Example: "753c48d6-23c8-5fb0-9230-b099898452b5"
  • datedate (operator)

    Filters events whose last_activity is after the minimum bound and whose start_date is before the maximum bound.

    Example: "between:2022-01-01;2022-01-02"
  • category(string (enum))[]

    Filter by category.

  • sub_category(string (enum))[]

    Filter by a sub category.

  • contentstring[] | string

    Search for keywords inside the title and summary.

    Note: symbols are ignored in the query, if you use hello@world, the query will be hello world, accentuated letters are preserved.

    Example: word will match WORD, words and any conjugated forms such as wording.

    However, it will not match keyword. To match both terms, you must add each one separately.

    Example: hard drive will return result mentioning hard drives but also hard disk drives, but will not mention document that match drive only. To match those you'll have to search them separately.

Response

Response - 200

  • entity_id*uuid

    Permanent ID of the related entity.

  • count*integer

    Number of events with a ungc_classification of watchlist or violator.

    Minimum: 0
  • max_ungc_classification*string | null (enum)

    Highest UNGC classification based on violator/watchlist counts. Null when the entity has no violator or watchlist events.

    Values: "violator", "watchlist", null
  • ungc_classification*object

    Number of events with a ungc_classification of low risk, watchlist, or violator

  • ungc_principle*object

    Number of events tagged with each UNGC principle, broken down by classification

Response
{
  "entity_id": "00000000-0000-0000-0000-000000000000",
  "count": 2,
  "max_ungc_classification": "violator",
  "ungc_classification": {
    "low risk": 2,
    "watchlist": 1,
    "violator": 1
  },
  "ungc_principle": {
    "Principle 1: Businesses should support and respect the protection of internationally proclaimed human rights.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 2: Businesses should make sure that they are not complicit in human rights abuses.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 3: Businesses should uphold the freedom of association and the effective recognition of the right to collective bargaining.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 4: Businesses should uphold the elimination of all forms of forced and compulsory labour.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 5: Businesses should uphold the effective abolition of child labour.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 6: Businesses should uphold the elimination of discrimination in respect of employment and occupation.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 7: Businesses should support a precautionary approach to environmental challenges.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 8: Businesses should undertake initiatives to promote greater environmental responsibility.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 9: Businesses should encourage the development and diffusion of environmentally friendly technologies.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    },
    "Principle 10: Businesses should work against corruption in all its forms, including extortion and bribery.": {
      "repartition": {
        "watchlist": 1,
        "violator": 1
      },
      "max_ungc_classification": "violator"
    }
  }
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "date",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number (enum)

    Error code.

    Values: 401
  • reason*string (enum)

    Error reason.

    Values: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested entity does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested entity does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.